=== debian/control ===
Source: game-data-packager
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Simon McVittie <smcv@debian.org>, Jonathan Dowland <jmtd@debian.org>,
 Alexandre Detiste <alexandre.detiste@gmail.com>
Build-Depends:
 bash-completion,
 debhelper (>= 9),
 dh-apparmor,
 dh-python,
 imagemagick,
 inkscape,
 pyflakes,
 python3,
 python3-debian,
 python3-yaml,
 zip,
Standards-Version: 3.9.6
Vcs-Git: https://anonscm.debian.org/git/pkg-games/game-data-packager.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/game-data-packager.git
Homepage: https://wiki.debian.org/Games/GameDataPackager

Package: game-data-packager
Depends: fakeroot, ${misc:Depends},
	python3,
	python3-debian,
	python3-yaml,
	${python3:Depends},
Breaks: lgogdownloader (<< 2.26-1~)
Suggests:
# to install packages
	gdebi | gdebi-kde,
# for quake music and quake2 music
	cdparanoia, vorbis-tools,
# Doom 2 Master Levels, Quake, Spear Of Destiny demo
	lhasa | jlha-utils | lzh-archiver,
# for quake2 mission packs
	binutils, make, gcc,
# for lgeneral
	lgc-pg,
# for wolf3d demo
	dynamite (>= 0.1.1-2),
# for wolf3d v1.2
	unzip,
# for 100+ gog.com games
	innoextract, lgogdownloader,
# for Quake 1/2/3, Doom, Wolf3d...
	steam, steamcmd,
# for Doom3
	p7zip-full,
# for Jedi Academy (demo), Arx Fatalis
	unshield,
# for Descent 1
	arj,
# for Arx Fatalis
	cabextract,
# for Arx Fatalis
	unace-nonfree,
# for Arx Fatalis
	unrar,
# for I have no mouth and I must scream
        unar,
# for Unreal Tournament and potentially other Loki Games releases
	xdelta,
# for Doom2 Master Levels launcher
	python3-gi,
	gir1.2-gtk-3.0,
	gir1.2-pango-1.0,
# for Unreal
	gir1.2-gdkpixbuf-2.0,
Architecture: all
Multi-Arch: foreign
Description: Installer for game data files
 Various games are divided into two logical parts: engine
 and data. Often the engine and data are licensed in
 different ways, such that only one half can be distributed
 in Debian.
 .
 game-data-packager is a tool which builds .deb files for game
 data which cannot be distributed in Debian (such as
 commercial game data).
 .
 At the moment, game-data-packager has support for building .deb
 files for:
 .
  * 3 Skulls of the Toltecs
  * A Mind Forever Voyaging
  * Amazon: Guardians of Eden
  * Arx Fatalis
  * Baldur's Gate 1 and 2
  * Ballyhoo
  * Bargon Attack
  * Beavis and Butthead in Virtual Stupidity
  * The Bizarre Adventures of Woodruff and the Schnibble
  * The Black Cauldron
  * Blake Stone and Planet Strike
  * Blue Force
  * Border Zone
  * Castle of Dr. Brain and The Island of Dr. Brain
  * Broken Sword
  * Bureaucracy
  * Chex Quest and Chex Quest 2
  * Chivalry is Not Dead
  * Codename: ICEMAN
  * Conquests of Camelot: The Search for the Grail
  * Conquests of the Longbow: The Legend of Robin Hood
  * Cruise for a Corpse
  * The Curse of Monkey Island
  * Cutthroats
  * Deadline
  * Descent 1 and 2
  * The Dig
  * Discworld 1 and 2
  * Doom, The Ultimate Doom, Doom 2, The Master Levels for Doom 2, Final Doom
  * Doom 3 and BFG Edition
  * Dračí Historie
  * Dreamweb
  * Duke Nukem 3D
  * Dune 2: Battle for Arrakis
  * EcoQuest 1 and 2
  * The Elder Scrolls 3: Morrowind
  * Elvira 1 and 2
  * Enchanter
  * Enclosure
  * Eye of the Beholder 1 and 2
  * The Feeble Files
  * Freddy Pharkas: Frontier Pharmacist
  * Freespace 2
  * Full Throttle
  * Future War (Les Voyageurs du Temps)
  * Gobliiins 1, 2 and 3
  * Gold Rush!
  * Grim Fandango
  * HacX
  * Hank's Quest
  * Heretic, Hexen and Hexen 2
  * Heroes of Might & Magic 3
  * The Hitchhiker's Guide to the Galaxy
  * Hollywood Hijinx
  * Hopkins FBI
  * Hoyle's Official Book of Games
  * Hugo's House of Horrors, Hugo 2, Hugo 3
  * Icewind Dale 1 and 2
  * Indiana Jones and the Fate of Atlantis
  * Infidel
  * Inherit the Earth
  * Jones in the Fast Lane
  * King's Quest 1 to 6
  * Lands of Lore: The Throne of Chaos
  * Laura Bow 1 and 2
  * Leather Goddesses of Phobos 1 and 2
  * Legend of Kyrandiar 1, 2 and 3
  * Leisure Suit Larry 1, 2, 3, 5 and 6
  * LGeneral (Panzer General)
  * Lost in Time
  * The Lurking Horror
  * The Manhole
  * Manhunter 1 and 2
  * Maniac Mansion and Day of the Tentacle
  * Mixed-Up Mother Goose
  * Moonmist
  * The Neverhood
  * Nippon Safes Inc.
  * Nord and Bert Couldn't Make Head or Tail of It
  * Once Upon A Time: Little Red Riding Hood
  * Pajama Sam series
  * Personal Nightmare
  * Planescape: Torment
  * Planetfall
  * Plundered Hearts
  * Police Quest 1, 2 and 3
  * Quake, Quake 2, Quake 3 Arena, Quake 4, Enemy Territory: Quake Wars
  * Quest For Glory 1, 2 and 3
  * Rex Nebular and the Cosmic Gender Bender
  * Ringworld 1 and 2
  * Rise of the Triad
  * Rodney's Funscreen
  * Sam & Max Hit the Road
  * Seastalker
  * Sfinx
  * The Lost Files of Sherlock Holmes: The Case of the Serrated Scalpel
  * The Lost Files of Sherlock Holmes: The Case of the Rose Tattoo
  * Sherlock: The Riddle of the Crown Jewels
  * Simon the Sorcerer 1, 2 and Puzzle Pack
  * Slater & Charlie Go Camping
  * Soltys
  * Sorcerer
  * Spellbreaker
  * Star Wars Jedi Knight 2: Jedi Outcast and Jedi Academy
  * Starcross
  * Stationfall
  * Strife
  * Suspect
  * Suspended
  * Syndicate
  * Space Quest 1 to 5
  * Super 3D Noah's Ark
  * Theme Hospital
  * Tony Tough and the Night of Roasted Moths
  * Toonstruck
  * Touché: The Adventures of the Fifth Musketeer
  * Transport Tycoon Deluxe
  * Trinity
  * Troll's Tale
  * Tyrian
  * Ultima VII
  * Unreal and Unreal Gold
  * Urban Runner
  * Ween: The Prophecy
  * Winnie the Pooh in the Hundred Acre Wood
  * Wishbringer
  * Witness
  * Wolfenstein 3D, Spear of Destiny and Return to Castle Wolfenstein
  * Wolfenstein: Enemy Territory
  * X-COM: UFO Defense
  * Zork 1, 2 and 3, Beyond Zork and Return to Zork
  * Zork Grand Inquisitor and Zork Nemesis
