=== debian/rules ===
#!/usr/bin/make -f
# GNU copyright 1997 to 1999 by Joey Hess.

#export DH_VERBOSE=1
export DH_OPTIONS

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --parallel --with python3,bash-completion

override_dh_auto_build:
	BUILD_DATE="$$(dpkg-parsechangelog --show-field=Date)" \
	dh_auto_build --parallel

override_dh_auto_clean:
	dh_auto_clean --parallel
	@if [ "`echo *.deb`" != "*.deb" ]; then \
		echo; \
		echo "*************************************************"; \
		echo "Cannot create source package with these here:"; \
		ls *.deb; \
		echo "*************************************************"; \
		echo; \
		exit 1; \
	fi
	debian/copyright.py

override_dh_install:
	dh_install
	if dpkg-vendor --derives-from Ubuntu; then \
		touch debian/game-data-packager/usr/share/games/game-data-packager/is-ubuntu-derived; \
	fi
	dh_apparmor -pgame-data-packager --profile-name=usr.lib.unreal

override_dh_installdocs:
	dh_installdocs -XTODO
