## game-data-packager 45

=== Makefile ===
--- 
+++ 
@@ -39,13 +39,13 @@
 	@mkdir -p out
 	if [ -L $< ]; then cp -a $< $@ ; else install -m644 $< $@ ; fi
 
-out/vfs/%.json: data/%.yaml
+out/vfs/%.json: data/%.yaml tools/compile_yaml.py
 	@mkdir -p out/vfs
 	$(PYTHON) tools/compile_yaml.py $< $@
 
 out/vfs.zip: $(json)
-	@mkdir -p out
 	rm -f out/vfs.zip
+	chmod 0644 out/vfs/*
 	if [ -n "$(BUILD_DATE)" ]; then \
 		touch --date='$(BUILD_DATE)' out/vfs/*; \
 	fi
@@ -110,6 +110,7 @@
 	rm -f ./out/*.png
 	rm -f ./out/*.svgz
 	rm -f ./out/*.svg
+	rm -f ./out/*.txt
 	rm -f ./out/vfs.zip
 	rm -f ./out/index.html
 	rm -fr out/vfs
@@ -120,7 +121,9 @@
 
 check:
 	LC_ALL=C $(PYFLAKES3) game_data_packager/*.py game_data_packager/*/*.py runtime/*.py tools/*.py || :
+	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/deb.py
 	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/hashed_file.py
+	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/rpm.py
 	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/umod.py
 	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tools/check_syntax.py
 	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tools/check_equivalence.py
@@ -175,7 +178,7 @@
 	install -d tmp/
 	for game in $(TEST_SUITE); do \
 	        GDP_MIRROR=$(GDP_MIRROR) GDP_UNINSTALLED=1 PYTHONPATH=. \
-		python3 -m game_data_packager -d ./tmp --no-compress $$game --no-search || exit $$?; \
+		python3 -m game_data_packager.command_line -d ./tmp --no-compress $$game --no-search || exit $$?; \
 	done
 	rm -fr tmp/
