=== debian/changelog ===
game-data-packager (45) unstable; urgency=medium

  * New game support:
    - Arthur: the Quest for Excalibur [skitt]
    - James Clavell's Shōgun [skitt]
    - Journey: Part One of the Golden Age Trilogy [skitt]
    - The Labyrinth of Time [adetiste]
    - Mixed-Up Fairy Tales [adetiste]
    - Mortville Manor [adetiste]
    - The Secret of Monkey Island 1 & 2 [adetiste]
    - Zork: The Undiscovered Underground [skitt]
    - Zork Zero [adetiste]
  * Support for new languages and versions:
    - Indiana Jones and the Last Crusade (English CD) [skitt]
    - Doom 1: Tech Gone Bad, brand new map by Romero [adetiste]
      (Closes: #812513)
    - Doom 1: Phobos Mission Control, another new map [fabian]
    - Quake Episode 5: Dimensions of the Past (20th anniversary
      expansion by MachineGames) [smcv]
    - Theme Hospital (GOG) 2.1.0.8 [Phil Morrell]
  * Enhancements and bug fixes:
    - Correct UnrealGoldPatch227i.7z's format [skitt]
    - The Unreal patches provide lin_convenience_libs [skitt]
    - Do not crash if there's no internet access and game
      is possibly owned by user's Steam account [adetiste]
    - Abort early when running from a deleted directory and --destination
      hasn't been specified [adetiste] (Closes: #783319)
    - Skip downloading files if their size on the server does not match
      what was expected [adetiste]
    - Use ScummVM's own hosting instead of SourceForge [adetiste]
    - Adapt code dealing with ScummVM configuration to account for it now
      following the XDG Base Directory spec [adetiste]
    - Make progress bars time-based, with a progress bar appearing if
      an operation has taken too long [adetiste, smcv]
    - Add Shooter category for Doom 2 Master Levels [Matthias Mailänder]
  * Internal changes:
    - Refactor dependency relationships and other distro- and
      format-dependent values. They now take a map or list of
      maps like {'deb': 'foo-dfsg (>= 1)', 'generic': 'foo'}.
      Versioned dependencies are translated from dpkg syntax
      to RPM or Arch syntax as needed; and library dependencies
      can be spelled like "libfoo0.so.1" which will be translated
      to libfoo0-1 for dpkg distributions. [smcv]
    - Smarter handling of InnoExtract archives that takes alternative
      look_for names into account; which reduces the need
      to explicitly list files to unpack. [adetiste]
    - Build-Depends: on "pyflakes3 | pyflakes" to avoid to needlessly
      pull in Python2 during the build on Stretch and later. [adetiste]
    - Remove support for install_contents_of keyword, better handled by
      groups now [adetiste]
    - Remove support for install_files in package stanzas, superseded
      by groups [smcv]
    - Break out command-line interface into its own module to reduce
      circular imports [smcv]
    - Break out file-loading into new g_d_p.data module [smcv]
    - Distinguish between files and groups [smcv]
    - Standards-Version: 3.9.8, no changes required

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Jun 2016 10:52:16 +0100
