=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
  dh-python,
  imagemagick,
  inkscape,
- pyflakes,
+ pyflakes3 | pyflakes (<< 1.1.0),
  python3,
  python3-debian,
  python3-yaml,
  zip,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/game-data-packager.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/game-data-packager.git
 Homepage: https://wiki.debian.org/Games/GameDataPackager
@@ -87,6 +87,7 @@
   * 3 Skulls of the Toltecs
   * A Mind Forever Voyaging
   * Amazon: Guardians of Eden
+  * Arthur: the Quest for Excalibur
   * Arx Fatalis
   * Baldur's Gate 1 and 2
   * Ballyhoo
@@ -106,7 +107,6 @@
   * Conquests of Camelot: The Search for the Grail
   * Conquests of the Longbow: The Legend of Robin Hood
   * Cruise for a Corpse
-  * The Curse of Monkey Island
   * Cutthroats
   * Deadline
   * Descent 1 and 2
@@ -145,8 +145,11 @@
   * Indiana Jones and the Fate of Atlantis
   * Infidel
   * Inherit the Earth
+  * James Clavell's Shōgun
   * Jones in the Fast Lane
+  * Journey: Part One of the Golden Age Trilogy
   * King's Quest 1 to 6
+  * The Labyrinth of Time
   * Lands of Lore: The Throne of Chaos
   * Laura Bow 1 and 2
   * Leather Goddesses of Phobos 1 and 2
@@ -158,8 +161,10 @@
   * The Manhole
   * Manhunter 1 and 2
   * Maniac Mansion and Day of the Tentacle
-  * Mixed-Up Mother Goose
+  * Mixed-Up Mother Goose & Mixed-Up Fairy Tales
+  * Monkey Island 1, 2 and 3
   * Moonmist
+  * Mortville Manor
   * The Neverhood
   * Nippon Safes Inc.
   * Nord and Bert Couldn't Make Head or Tail of It
@@ -214,5 +219,6 @@
   * Wolfenstein 3D, Spear of Destiny and Return to Castle Wolfenstein
   * Wolfenstein: Enemy Territory
   * X-COM: UFO Defense
-  * Zork 1, 2 and 3, Beyond Zork and Return to Zork
+  * Zork 1, 2 and 3, Beyond Zork, Zork Zero, Return to Zork, Zork: The
+    Undiscovered Underground
   * Zork Grand Inquisitor and Zork Nemesis
