## game-data-packager 49

=== debian/changelog ===
game-data-packager (49) unstable; urgency=medium

  * d/gbp.conf: Switch git branch to debian/stretch for updates
    during freeze
  * quake3: Symlink ioquake3 native game and UI code into ~/.q3a,
    and run with vm_cgame, vm_game, vm_ui set to 0 by default.
    This resolves bugs in the proprietary Quake III Arena releases by
    swapping in ioquake3's updated (and Free Software) versions, and
    mitigates security issues in ioquake3 by letting
    ioquake3_1.36+u20161101+dfsg1-2 put a confirmation prompt in
    front of the option to enable auto-downloading.
    This regressed in v46.

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Mar 2017 11:12:53 +0000

game-data-packager (48) unstable; urgency=medium

  * Enhancements and bug fixes:
    - Add a button to "Doom II Masterlevels" launcher to start
      chocolate-doom-setup from there. [adetiste]
    - Fix launcher scripts generated without fully expanding $bindir,
      resulting in files in '/$prefix'. This affected Z-code text
      adventures (H2G2, Zork, etc.) and multilingual ScummVM games.
      [adetiste]
  * Internal changes:
    - Refactor doom2-masterlevels launcher [adetiste]
    - Add all and distclean Makefile targets [smcv]
    - In Debian packaging, set a temporary home directory for Inkscape
      to silence warnings and comply with proposed policy (#845715)

 -- Simon McVittie <smcv@debian.org>  Tue, 06 Dec 2016 10:57:24 +0000

game-data-packager (47) unstable; urgency=medium

  * New game support:
    - Myst: Masterpiece Edition [adetiste]
  * Support for new languages and versions:
    - Super Noah's Ark 3D v1.3.3, from Steam or itch.io [adetiste]
  * Enhancements and bug fixes:
    - make-template: don't crash when unable to guess what $install_to
      should have been. Regression in v46. (Closes: #841164) [smcv]
    - This version of g-d-p was built against an apparmor package
      where #828795 was fixed, so we no longer emit a misleading warning
      from the postinst (Closes: #829035) [smcv]
    - Fix a crash when packaging ecwolf games [adetiste]
    - ja: Fix spurious warnings about assets0.pk3 [smcv]
  * Internal changes:
    - Stop using lsb-release [smcv]
    - Refactor Package object creation [smcv]
    - Do not modify Package objects after they have been loaded [smcv]
    - Restructure doom2-masterlevels data [adetiste]
    - Simplify creation of DEBIAN/control [smcv]
    - Sort license files if there are multiple [smcv]
    - Conform to https://github.com/cgwalters/build-api (vaguely imitating
      Autoconf, but differently-implemented) [smcv]

 -- Simon McVittie <smcv@debian.org>  Sat, 05 Nov 2016 14:28:27 +0000

game-data-packager (46) experimental; urgency=medium

  * Support for new languages and versions:
    - Update quake2-reckoning-data to 2.03 and quake2-xatrix-data to 2.04,
      matching yamagi-quake2 5.34 and adding support for more
      architectures [smcv]
  * Enhancements and bug fixes:
    - also search for games assets in 'Program Files (x86)' directories
      [adetiste]
    - add experimental support for building packages for another system, for
      example Fedora RPMs on Debian [smcv]
    - append distribution to RPM release number, for example
      many data packages are now version 46-0.fedora if built for Fedora
      [smcv]
    - use the Python/GTK gdp-launcher that was previously used for
      Unreal to wrap the Quake series too, allowing all their
      shell scripts to be removed [smcv]
      * they now report missing expansions correctly (Closes: #829060)
      * the help is no longer done with cat <<EOF (Closes: #807533)
    - split out game-data-packager-runtime into a separate binary
      package so g-d-p (and its archive-unpacking dependencies)
      doesn't have to remain installed alongside the games that use its
      launcher [smcv]
    - quake4 AppArmor: update quake4smp profile to match quake4 [smcv]
    - quake* AppArmor: allow gdp-openurl script as an alternative to xdg-open
      [smcv]
    - quake3: correct logic for letting the demo run without the full game
      [smcv]
    - quake*-server: add missing dependency on lsb-base 3.0-6 [smcv]
    - convert soltys.xpm to PNG for compatibility with ImageMagick 6.8,
      fixing FTBFS with that version (Closes: #842619) [smcv]
  * Internal changes:
    - switch to debhelper 10, no change needed [adetiste]
    - take over the quake family of binary packages from src:quake [smcv]
    - mark the out/ directory with CACHEDIR.TAG to make it easy to avoid
      backups [smcv]
    - games can use more variables, which are expanded recursively
      ($docdir -> $datadir/doc -> $prefix/share/doc -> /usr/share/doc)
      [smcv]
    - expand $assets etc. to absolute paths, to make the .desktop files
      less weird [smcv]
    - factor out most packaging-specifics into modules [smcv]
    - convert 'make manual-check' into an ordinary test, which is
      skipped if the necessary files are not in ~/Downloads [smcv]

 -- Simon McVittie <smcv@debian.org>  Fri, 14 Oct 2016 22:57:38 +0100

quake (18) unstable; urgency=medium

  * quake4 AppArmor: allow additional video device enumeration
  * quake4 AppArmor: allow reading /etc/machine-id, used by PulseAudio
  * quake4 AppArmor: allow mmapping ~/.quake4/*/gamex86.so
  * quake: add a shortcut for Quake Episode 5: Dimensions of the Past
  * All systemd services: add Documentation key pointing to man pages
  * Add lintian overrides for repeated words in d/copyright

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Jun 2016 10:20:17 +0100

quake (17) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Add support for "Enemy Territory: Quake Wars" using the
    proprietary binaries (there is no open-source engine)
    and following the same patterns as used for Quake 4.

  [ Simon McVittie ]
  * Add a confirmation step before running binary-only executables
  * etqw.desktop: add some more keywords
  * etqw*.6: document QUAKE4_BACKTRACE, QUAKE4_DEBUGGER
